Package: org.apache.groovy.parser.antlr4

## [Java] Class GroovyParser.MultipleAssignmentExprAltContext

- org.apache.groovy.parser.antlr4.GroovyParser.MultipleAssignmentExprAltContext

-     public static class GroovyParser.MultipleAssignmentExprAltContext
      extends GroovyParser.ExpressionContext

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `GroovyParser.VariableNamesContext` | `left` |
    `Token` | `op` |
    `GroovyParser.StatementExpressionContext` | `right` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `MultipleAssignmentExprAltContext(GroovyParser.ExpressionContext ctx)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public TerminalNode` | `ASSIGN()`
    `<Result>` | `public Result` | `accept(ParseTreeVisitor<? extends Result> visitor)`
    `` | `public List<? extends NlsContext>` | `nls()`
    `` | `public GroovyParser.NlsContext` | `nls(int i)`
    `` | `public GroovyParser.StatementExpressionContext` | `statementExpression()`
    `` | `public GroovyParser.VariableNamesContext` | `variableNames()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyParser.ExpressionContext` | `copyFrom, getRuleIndex`
    `class GroovyParser.GroovyParserRuleContext` | `getMetaDataMap, setMetaDataMap`

- - ### Field Detail

    - #### public GroovyParser.VariableNamesContext left

    - #### public Token op

    - #### public GroovyParser.StatementExpressionContext right

  - ### Constructor Detail

    - #### public MultipleAssignmentExprAltContext(GroovyParser.ExpressionContext ctx)

  - ### Method Detail

    - #### public TerminalNode ASSIGN()

    - #### <Result> @Override
      public Result accept(ParseTreeVisitor<? extends Result> visitor)

    - #### public List<? extends NlsContext> nls()

    - #### public GroovyParser.NlsContext nls(int i)

    - #### public GroovyParser.StatementExpressionContext statementExpression()

    - #### public GroovyParser.VariableNamesContext variableNames()